﻿Imports System.IO

Class MainWindow
    Public Shared DSTest As New DSTest
    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs) Handles MyBase.Loaded
        Dim DSTest As Dataset_Testen.DSTest = CType(Me.FindResource("DSTest"), Dataset_Testen.DSTest)
        DBHolen.LeseXml()
        Me.DataContext = DSTest
    End Sub

    Private Sub btnDaten_Click(sender As Object, e As RoutedEventArgs) Handles btnDaten.Click
        Daten.Tab2hinzufuegen(6)
        Daten.hinzufuegen(5)
        Me.DataContext = DSTest
    End Sub
End Class

Public Class DBHolen
    Shared Sub LeseXml()
        Dim filePath As String = "Daten.xml"
        If Not File.Exists(filePath) Then
            SchreibeXml()
        Else
            Dataset_Testen.MainWindow.DSTest.ReadXml(filePath)
        End If
    End Sub
    Shared Sub SchreibeXml()
        Dim filePath As String = "Daten.xml"
        ' If Not Dataset_Testen.MainWindow.DSTest Is Nothing Then
        Dataset_Testen.MainWindow.DSTest.WriteXml(filePath)
        ' End If
    End Sub
End Class

Public Class Daten
    Shared Sub hinzufuegen(i As Integer)
        Dim neueZeile As DSTest.DTab1Row
        For j As Integer = 1 To i
            neueZeile = MainWindow.DSTest.DTab1.NewDTab1Row
            neueZeile.S1 = "EintragS1_" & j
            neueZeile.S2 = "EintragS2_" & j
            neueZeile.S3 = "EintragS3_" & j
            neueZeile.s4 = "EintragS4_" & j
            neueZeile.IDTab2 = 6 - j
            MainWindow.DSTest.DTab1.Rows.Add(neueZeile)
        Next
    End Sub
    Shared Sub Tab2hinzufuegen(i As Integer)
        Dim neueZeile As DSTest.DTab2Row
        For j As Integer = 1 To i
            neueZeile = MainWindow.DSTest.DTab2.NewDTab2Row
            neueZeile.SP2 = "WertSP2_" & j
            neueZeile.SP3 = "WertSP3_" & j
            MainWindow.DSTest.DTab2.Rows.Add(neueZeile)
        Next
    End Sub
End Class